org.restlet.engine

## Class ProtocolHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.ProtocolHelper

Direct Known Subclasses:
  HttpProtocolHelper, WebDavProtocolHelper

    public abstract class ProtocolHelper
    extends Helper

Protocol helper.

Author:
  Thierry Boileau

### Constructor Summary

Constructors
Constructor and Description
`ProtocolHelper()` Constructor.

### Method Summary

Methods
`abstract void` `registerMethods()` Register all supported methods.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProtocolHelper

    public ProtocolHelper()

Constructor.

### Method Detail

#### registerMethods

    public abstract void registerMethods()

Register all supported methods. The implementation relies on the `Method.register(org.restlet.data.Method)` method.